Bug 1303752 - undefined symbols of blacs libraries on EPEL7
undefined symbols of blacs libraries on EPEL7
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: blacs (Show other bugs)
epel7
All Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On: 1299143
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 15:28 EST by Antonio Trande
Modified: 2016-03-09 12:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 12:32:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2016-02-01 15:28:21 EST
Undefined symbols:

$ ldd -r libmpiblacs.so.2
	linux-vdso.so.1 (0x00007ffe8a5e5000)
	libmpi_f77.so.1 => not found
	libmpi.so.1 => not found
	libgfortran.so.3 => /lib64/libgfortran.so.3 (0x00007f0482d10000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f0482a0e000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f04827f6000)
	libquadmath.so.0 => /lib64/libquadmath.so.0 (0x00007f04825b7000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f048239a000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f0481fd8000)
	/lib64/ld-linux-x86-64.so.2 (0x000055ab64ca1000)
undefined symbol: ompi_mpi_packed	(./libmpiblacs.so.2)
undefined symbol: ompi_mpi_int	(./libmpiblacs.so.2)
undefined symbol: ompi_mpi_unsigned_short	(./libmpiblacs.so.2)
undefined symbol: ompi_mpi_comm_null	(./libmpiblacs.so.2)
undefined symbol: ompi_mpi_double	(./libmpiblacs.so.2)
undefined symbol: ompi_mpi_dblcplex	(./libmpiblacs.so.2)
undefined symbol: ompi_mpi_comm_world	(./libmpiblacs.so.2)
undefined symbol: ompi_mpi_op_sum	(./libmpiblacs.so.2)
undefined symbol: ompi_mpi_float	(./libmpiblacs.so.2)
undefined symbol: ompi_mpi_cplex	(./libmpiblacs.so.2)
undefined symbol: MPI_Barrier	(./libmpiblacs.so.2)
undefined symbol: MPI_Waitall	(./libmpiblacs.so.2)
undefined symbol: MPI_Send	(./libmpiblacs.so.2)
undefined symbol: MPI_Comm_dup	(./libmpiblacs.so.2)
undefined symbol: MPI_Comm_f2c	(./libmpiblacs.so.2)
undefined symbol: MPI_Irecv	(./libmpiblacs.so.2)
undefined symbol: MPI_Isend	(./libmpiblacs.so.2)
undefined symbol: MPI_Comm_c2f	(./libmpiblacs.so.2)
undefined symbol: MPI_Init	(./libmpiblacs.so.2)
undefined symbol: MPI_Initialized	(./libmpiblacs.so.2)
undefined symbol: MPI_Allreduce	(./libmpiblacs.so.2)
undefined symbol: MPI_Op_create	(./libmpiblacs.so.2)
undefined symbol: MPI_Type_vector	(./libmpiblacs.so.2)
undefined symbol: MPI_Pack_size	(./libmpiblacs.so.2)
undefined symbol: MPI_Comm_size	(./libmpiblacs.so.2)
undefined symbol: MPI_Op_free	(./libmpiblacs.so.2)
undefined symbol: MPI_Type_commit	(./libmpiblacs.so.2)
undefined symbol: MPI_Error_class	(./libmpiblacs.so.2)
undefined symbol: MPI_Comm_create	(./libmpiblacs.so.2)
undefined symbol: MPI_Abort	(./libmpiblacs.so.2)
undefined symbol: MPI_Unpack	(./libmpiblacs.so.2)
undefined symbol: MPI_Recv	(./libmpiblacs.so.2)
undefined symbol: MPI_Comm_free	(./libmpiblacs.so.2)
undefined symbol: MPI_Sendrecv	(./libmpiblacs.so.2)
undefined symbol: MPI_Type_free	(./libmpiblacs.so.2)
undefined symbol: MPI_Comm_rank	(./libmpiblacs.so.2)
undefined symbol: MPI_Bcast	(./libmpiblacs.so.2)
undefined symbol: MPI_Reduce	(./libmpiblacs.so.2)
undefined symbol: MPI_Comm_split	(./libmpiblacs.so.2)
undefined symbol: MPI_Attr_get	(./libmpiblacs.so.2)
undefined symbol: MPI_Finalize	(./libmpiblacs.so.2)
undefined symbol: MPI_Type_indexed	(./libmpiblacs.so.2)
undefined symbol: MPI_Pack	(./libmpiblacs.so.2)
undefined symbol: MPI_Comm_group	(./libmpiblacs.so.2)
undefined symbol: MPI_Group_incl	(./libmpiblacs.so.2)
undefined symbol: MPI_Wtime	(./libmpiblacs.so.2)
undefined symbol: MPI_Group_free	(./libmpiblacs.so.2)
undefined symbol: MPI_Rsend	(./libmpiblacs.so.2)
undefined symbol: MPI_Testall	(./libmpiblacs.so.2)
undefined symbol: MPI_Type_struct	(./libmpiblacs.so.2)


Version-Release number of selected component (if applicable):
blacs-1.1-52.el7
Comment 1 Antonio Trande 2016-02-02 05:53:13 EST
blacs rebuild required on bz#1299143 too.

Note You need to log in before you can comment on or make changes to this bug.